=== modified file 'config.h.in'
--- config.h.in	2012-01-24 09:54:34 +0000
+++ config.h.in	2012-02-06 19:38:07 +0000
@@ -6,6 +6,7 @@
 #define UNITY_2D_SCHEMA_FILE "@UNITY_2D_SCHEMA_FILE@"
 
 #include <QCoreApplication>
+#include <QDir>
 #include "qconf.h"
 
 static const char* UNITY2D_DCONF_SCHEMA = "com.canonical.Unity2d";
@@ -54,7 +55,8 @@
 
 
 inline bool isRunningInstalled() {
-    return (QCoreApplication::applicationDirPath() == (INSTALL_PREFIX "/" INSTALL_BINDIR));
+    static bool installed = (QCoreApplication::applicationDirPath() == QDir((INSTALL_PREFIX "/" INSTALL_BINDIR)).canonicalPath());
+    return installed;
 }
 
 inline QString unity2dDirectory() {

=== modified file 'launcher/app/launcherview.cpp'
--- launcher/app/launcherview.cpp	2011-11-25 11:13:44 +0000
+++ launcher/app/launcherview.cpp	2012-02-06 19:38:07 +0000
@@ -19,6 +19,13 @@
 
 #include "launcherview.h"
 
+#include <config.h>
+#include <keyboardmodifiersmonitor.h>
+#include <hotkey.h>
+#include <hotkeymonitor.h>
+#include <keymonitor.h>
+#include <debug_p.h>
+
 #include <QApplication>
 #include <QDesktopWidget>
 #include <QX11Info>
@@ -37,13 +44,6 @@
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 
-#include <keyboardmodifiersmonitor.h>
-#include <hotkey.h>
-#include <hotkeymonitor.h>
-#include <keymonitor.h>
-#include <debug_p.h>
-#include <config.h>
-
 static const int KEY_HOLD_THRESHOLD = 250;
 
 static const char* DASH_DBUS_SERVICE = "com.canonical.Unity2d.Dash";

=== modified file 'libunity-2d-private/src/unity2ddeclarativeview.cpp'
--- libunity-2d-private/src/unity2ddeclarativeview.cpp	2012-02-03 20:59:54 +0000
+++ libunity-2d-private/src/unity2ddeclarativeview.cpp	2012-02-06 19:38:07 +0000
@@ -16,6 +16,9 @@
 
 #include "unity2ddeclarativeview.h"
 
+#include <debug_p.h>
+#include <config.h>
+
 #include <QDebug>
 #include <QGLWidget>
 #include <QVariant>
@@ -26,9 +29,6 @@
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 
-#include <debug_p.h>
-#include <config.h>
-
 // libwnck
 extern "C" {
 #include <libwnck/libwnck.h>

